Bug 1881124 - [RFE] Collect output of 'crio config' in crio plugin
Summary: [RFE] Collect output of 'crio config' in crio plugin
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: sos
Version: 8.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On:
Blocks: 1186913
TreeView+ depends on / blocked
 
Reported: 2020-09-21 15:05 UTC by Derrick Ornelas
Modified: 2020-12-10 12:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport sos pull 2337 0 None open [crio] collect "crio config" 2020-12-10 12:23:29 UTC

Description Derrick Ornelas 2020-09-21 15:05:58 UTC
The 'crio config' command dumps the merged runtime config for the cri-o daemon/service.  This is a merged version of /etc/crio/crio.conf and any overrides/modifications in /etc/crio/crio.d/.  Please collect the output of 'crio config' when running sosreport on RHEL CoreOS.

Comment 2 Pavel Moravec 2020-09-21 15:41:23 UTC
If sos report will already collect /etc/crio/crio.conf and /etc/crio/crio.d/ (see bz1881118), do we need to collect also their merged version?

It isnt a problem to add the command collection per se, just checking if sosreport wont collect some duplicated information.

Comment 4 Pavel Moravec 2020-11-04 20:47:10 UTC
(In reply to Pavel Moravec from comment #2)
> If sos report will already collect /etc/crio/crio.conf and /etc/crio/crio.d/
> (see bz1881118), do we need to collect also their merged version?
> 
> It isnt a problem to add the command collection per se, just checking if
> sosreport wont collect some duplicated information.

Hello,
could you please answer this question? Isn't the requested data a duplicate of what is being asked in bz1881118 ?

Comment 5 Derrick Ornelas 2020-12-09 17:21:23 UTC
I believe it would be helpful to see the full, merged config so that we don't have to guess/manually determine the inheritance/overrides based solely on what's in /etc/crio/crio.conf.d/

Comment 6 Pavel Moravec 2020-12-10 12:23:31 UTC
Thanks, upstream PR raised, added to scope 8.5.


Note You need to log in before you can comment on or make changes to this bug.